com.fasterxml.jackson.dataformat.avro.apacheimpl

## Class CustomEncodingDeserializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.dataformat.avro.apacheimpl.CustomEncodingDeserializer<T>

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

      public class CustomEncodingDeserializer<T>
      extends com.fasterxml.jackson.databind.JsonDeserializer<T>

  Deserializes an object using a avro `CustomEncoding`
  See Also:
    `AvroAnnotationIntrospector`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomEncodingDeserializer(org.apache.avro.reflect.CustomEncoding<T> encoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
    `T` | `deserialize(com.fasterxml.jackson.core.JsonParser p, com.fasterxml.jackson.databind.DeserializationContext ctxt, T intoValue)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomEncodingDeserializer

          public CustomEncodingDeserializer(org.apache.avro.reflect.CustomEncoding<T> encoding)

  - ### Method Detail

    - #### deserialize

          public T deserialize(com.fasterxml.jackson.core.JsonParser p,
                               com.fasterxml.jackson.databind.DeserializationContext ctxt)
                        throws IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<T>`
      Throws:
        `IOException`

    - #### deserialize

          public T deserialize(com.fasterxml.jackson.core.JsonParser p,
                               com.fasterxml.jackson.databind.DeserializationContext ctxt,
                               T intoValue)
                        throws IOException

      Overrides:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<T>`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.